:root {
  --header-height: 100px;
  --footer-height: 100px;
  --leftbar-open-width: 300px;
  --leftbar-close-width: 72px;
}

.main {
  flex-grow: 1;
  margin-left: var(--leftbar-close-width);
}
.main_shift {
  margin-left: var(--leftbar-open-width);
}

.header {
  position: sticky;
  top: 0;
  margin-left: var(--leftbar-close-width);

  display: flex;
  align-items: center;
  gap: 24px;
  height: var(--header-height);

  border-bottom: 1px solid;
}

.header_shift {
  margin-left: var(--leftbar-open-width);
}

.footer {
  display: flex;
  align-items: center;

  height: var(--footer-height);

  margin-left: var(--leftbar-close-width);

  border-top: 1px solid;
}

.footer_shift {
  margin-left: var(--leftbar-open-width);
}

.leftbar {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;

  border-right: 1px solid;
}

.leftbar_open {
  width: var(--leftbar-open-width);
}

.leftbar_close {
  width: var(--leftbar-close-width);
}
